package connectivity;

import com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice;

/**
 * @author DatecsSoft_Team
 */

public interface PrinterConnection 
{
    DatecsFiscalDevice open(String portName) throws Exception;
    
    void close() throws Exception;

    void setBaudRate(int baudRate) throws Exception;

    void setTimeout(int timeout) throws Exception;

    void setPortName(String portName) throws Exception;
    
         String    getPortName() throws Exception;
    
  //  Object getSyncObject() throws Exception;

    boolean isSearchByBaudRateEnabled();
}
